﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Xml.Serialization;
using System.IO;
using System.Xml;

namespace XML
{
    public partial class CreateXMLsimple : Form
    {
        public CreateXMLsimple()
        {
            InitializeComponent();
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            try
            {
                XmlDocument xmldoc = new XmlDocument();

                XmlDeclaration xmlDeclaration = xmldoc.CreateXmlDeclaration("1.0", "utf-8", null);
                xmldoc.InsertBefore(xmlDeclaration, xmldoc.DocumentElement);

                //XmlNode xmlnode = xmldoc.CreateNode(XmlNodeType.XmlDeclaration, "", "");
                //xmldoc.AppendChild(xmlnode);

                XmlElement xmlelem = xmldoc.CreateElement("", "Users", "");
                xmldoc.AppendChild(xmlelem);
                XmlElement xmlelem2 = xmldoc.CreateElement("", "User", "");
                xmldoc.ChildNodes.Item(1).AppendChild(xmlelem2);
                XmlElement NameElement = xmldoc.CreateElement("", "NAME", "FirstName and LastName");
                XmlElement MailElement = xmldoc.CreateElement("", "E-mail", "Just yahoo mail");
                XmlElement MobElement = xmldoc.CreateElement("", "Mob", "+98");
                XmlElement ImageElement = xmldoc.CreateElement("", "Image", "jpg");
                xmlelem2.AppendChild(NameElement);
                xmlelem2.AppendChild(MailElement);
                xmlelem2.AppendChild(MobElement);
                xmlelem2.AppendChild(ImageElement);
                NameElement.InnerText = txtName.Text.Trim();
                MailElement.InnerText = txtMail.Text.Trim();
                MobElement.InnerText = txtMob.Text.Trim();

                xmldoc.Save(Application.StartupPath + "\\ostovarit.xml");
                MessageBox.Show("Created in " + Application.StartupPath + "\\ostovarit.xml");

                txtName.Text = string.Empty;
                txtMail.Text = string.Empty;
                txtMob.Text = string.Empty;
            }
            catch (Exception ae)
            {
                MessageBox.Show(ae.Message);
            }

        }
    }
}
