﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Collections;
using com.ximpleware;

namespace XML
{
    public partial class VTDReadOnly : Form
    {
        public VTDReadOnly()
        {
            InitializeComponent();
        }

        ArrayList bind(String fileName)
        {
            ArrayList al = new ArrayList();
            VTDGen vg = new VTDGen();
            AutoPilot ap0 = new AutoPilot();
            AutoPilot ap1 = new AutoPilot();
            AutoPilot ap2 = new AutoPilot();
            AutoPilot ap3 = new AutoPilot();
            AutoPilot ap4 = new AutoPilot();
            ap0.selectXPath("/CATALOG/CD[YEAR > 1982 and YEAR <1990]");
            ap1.selectXPath("TITLE");
            ap2.selectXPath("ARTIST");
            ap3.selectXPath("PRICE");
            ap4.selectXPath("YEAR");
            if (vg.parseFile(fileName, false))
            {
                VTDNav vn = vg.getNav();
                ap0.bind(vn);
                ap1.bind(vn);
                ap2.bind(vn);
                ap3.bind(vn);
                ap4.bind(vn);
                while (ap0.evalXPath() != -1)
                {
                    CDRecord cdr = new CDRecord();
                    cdr.title = ap1.evalXPathToString();
                    cdr.artist = ap2.evalXPathToString();
                    cdr.price = ap3.evalXPathToNumber();
                    // evalXPathToNumber evaluates to a double
                    cdr.year = (int)ap4.evalXPathToNumber();
                    al.Add(cdr);
                }
                ap0.resetXPath();
            }
            return al;
        }

        private void VTDReadOnly_Load(object sender, EventArgs e)
        {
            textBox1.Text = Application.StartupPath + @"\Catalog.xml";
        }

        private void btnRead_Click(object sender, EventArgs e)
        {
            ArrayList al = bind(textBox1.Text);
            IEnumerator ie = al.GetEnumerator();
            //Iterator it = al.Iterator();
            while (ie.MoveNext())
            {
                CDRecord cdr = (CDRecord)ie.Current;
                txtXML.Text = txtXML.Text + ("\n===================");
                txtXML.Text = txtXML.Text + ("\n TITLE:  ==> " + cdr.title);
                txtXML.Text = txtXML.Text + ("\n ARTIST: ==> " + cdr.artist);
                txtXML.Text = txtXML.Text + ("\n PRICE:  ==> " + cdr.price);
                txtXML.Text = txtXML.Text + ("\n YEAR:   ==> " + cdr.year);
            }
        }

    }
}
