﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Xml;
using System.Diagnostics;

namespace XML
{
    public partial class XMLWriterSample : Form
    {
        public XMLWriterSample()
        {
            InitializeComponent();
        }

        Double price = 19.95;
        
        private void btnCreate_Click(object sender, EventArgs e)
        {
            XmlWriterSettings settings = new XmlWriterSettings();
            settings.Indent = true;
            settings.OmitXmlDeclaration = true;
            settings.NewLineOnAttributes = false;

            XmlWriter writer = XmlWriter.Create(Application.StartupPath + "\\XMLWriter.xml", settings);

            writer.WriteStartElement("order");
            writer.WriteAttributeString("orderID", txtOrderID.Text.Trim());
            writer.WriteAttributeString("date", dateTimePicker1.Text);
            if (txtPrice.Text.Trim() != "")
            {
                writer.WriteElementString("price", txtPrice.Text.Trim());
            }
            else
            {
                writer.WriteElementString("price", XmlConvert.ToString(price));
            }
                writer.WriteEndElement();

            writer.Flush();

            Process.Start(Application.StartupPath + "\\XMLWriter.xml");

        }
    }
}
