﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Xml;
using System.IO;

namespace XML
{
    public partial class XmlReaderSettingsSample : Form
    {
        public XmlReaderSettingsSample()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                XmlReaderSettings settings = new XmlReaderSettings();
                settings.Schemas.Add(null, txtXSD.Text);
                settings.ValidationType = ValidationType.Schema;
                XmlDocument document = new XmlDocument();
                document.Load(txtXML.Text);
                XmlReader rdr = XmlReader.Create(new StringReader(document.InnerXml), settings);
                while (rdr.Read()) { }
                MessageBox.Show("valid");
            }
            catch
            {
                MessageBox.Show("Invalid!");
            }
        }

        private void XmlReaderSettingsSample_Load(object sender, EventArgs e)
        {
            txtXML.Text = Application.StartupPath + "\\ValidBooks.xml";
            txtXSD.Text = Application.StartupPath + "\\books.xsd";
        }
    }
}
