﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace XML
{
    public partial class XmlSerializerSample : Form
    {
        public XmlSerializerSample()
        {
            InitializeComponent();
        }

        PhoneBook pb = new PhoneBook();
        string filename = Application.StartupPath + "\\PhoneBook.xml";

        //Save Data
        private void button1_Click(object sender, EventArgs e)
        {
            pb.FirstName = txtFirstName.Text.Trim();
            pb.LastName = txtLastName.Text.Trim();
            pb.Company = txtCompany.Text.Trim();
            pb.Email = txtMail.Text.Trim();
            pb.PhoneNum = txtPhone.Text.Trim();
            pb.MobNum = txtMob.Text.Trim();
            pb.Address = txtAddress.Text.Trim();
            
            pb.Save(filename, pb.GetType());
        }

        private void btnLoad_Click(object sender, EventArgs e)
        {
            pb = (PhoneBook)SerializableData.Load(filename, typeof(PhoneBook));
            // update the display...
            txtFirstName.Text = pb.FirstName;
            txtLastName.Text = pb.LastName;
            txtPhone.Text = pb.PhoneNum;
            txtMob.Text = pb.MobNum;
            txtMail.Text = pb.Email;
            txtCompany.Text = pb.Company;
            txtAddress.Text = pb.Address;
        }
    }
}
