﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Xml.XPath;
using System.Xml.Xsl;
using System.Xml;
using System.IO;

namespace XML
{
    public partial class TransformXML : Form
    {
        public TransformXML()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {          
            Transform(textBox1.Text, textBox2.Text);
            StreamReader sr = new StreamReader("result.html");
            webBrowser1.DocumentText = sr.ReadToEnd();
        }

        public static void Transform(string sXmlPath, string sXslPath)
        {
            try
            {
                //load the Xml doc
                XmlDocument myXmlDoc = new XmlDocument();
                myXmlDoc.Load(sXmlPath);
                //The XSLT architecture has been redesigned in the Microsoft .NET Framework version 2.0 release. The XslTransform class has been replaced by the XslCompiledTransform class.
                XslCompiledTransform myXslTrans = new XslCompiledTransform();
                //load the Xsl 
                myXslTrans.Load(sXslPath);
                //create the output stream
                XmlTextWriter myWriter = new XmlTextWriter("result.html", null);
                //do the actual transform of Xml
                myXslTrans.Transform(myXmlDoc, null, myWriter);
                myWriter.Close();
            }
            catch (Exception ae)
            {
                MessageBox.Show("Exception: "+ ae.ToString());
            }

        }

        private void TransformXML_Load(object sender, EventArgs e)
        {
            textBox1.Text = Application.StartupPath + @"\house.xml";
            textBox2.Text = Application.StartupPath + @"\Action.xsl";
        }

    }
}
