﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Xml.Xsl;
using System.Xml;
using System.IO;

namespace XML
{
    public partial class TransformXML2 : Form
    {
        public TransformXML2()
        {
            InitializeComponent();
        }

        private void TransformXML2_Load(object sender, EventArgs e)
        {
            textBox1.Text = Application.StartupPath + @"\house.xml";
            textBox2.Text = Application.StartupPath + @"\Action.xsl";
        }

        public static void Transform(string sXmlPath, string sXslPath)
        {
            try
            {
                // Create the XsltSettings object with script enabled.
                XsltSettings settings = new XsltSettings(false, true);

                // Execute the transform.
                XslCompiledTransform xslt = new XslCompiledTransform();
                xslt.Load("Action.xsl", settings, new XmlUrlResolver());
                xslt.Transform("house.xml", "result2.html");

            }
            catch (Exception ae)
            {
                MessageBox.Show("Exception: " + ae.ToString());
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Transform(textBox1.Text, textBox2.Text);
            StreamReader sr = new StreamReader("result2.html");
            webBrowser1.DocumentText = sr.ReadToEnd();
        }
    }
}
