﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;

namespace XML
{
    public partial class XMLMainForm : Form
    {
        public XMLMainForm()
        {
            InitializeComponent();
        }

        private void simpleToolStripMenuItem_Click(object sender, EventArgs e)
        {
            CreateXMLsimple f1 = new CreateXMLsimple();
            f1.Show(this);
        }

        private void howToReadXMLFromAFileByUsingVisualCToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://support.microsoft.com/kb/307548");
        }

        private void usingCToTransformAnXmlFileUsingXslTransformToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://www.csharphelp.com/2007/06/using-c-to-transform-an-xml-file-using-xsltransform/");
        }

        private void systemXmlXmlNodeTypeEnumToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://www.gnu.org/software/dotgnu/pnetlib-doc/System/Xml/XmlNodeType.html");
        }

        private void xMLToolStripMenuItem_Click(object sender, EventArgs e)
        {
            XmlSerializerSample cpb = new XmlSerializerSample();
            cpb.Show(this);
        }

        private void webBrowserToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            ReadXMLWebBrowser rxw = new ReadXMLWebBrowser();
            rxw.Show(this);
        }

        private void textBoxToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            ReadXMLtxtBox rx = new ReadXMLtxtBox();
            rx.Show(this);
        }

        private void treeViewToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            ReadXMLTreeView rxt = new ReadXMLTreeView();
            rxt.Show(this);
        }

        private void dataGridViewToolStripMenuItem_Click(object sender, EventArgs e)
        {
            ReadXMLDataGridView rxdg = new ReadXMLDataGridView();
            rxdg.Show(this);
        }

        private void toolStripMenuItem1_Click(object sender, EventArgs e)
        {
            ReadXMLListBox rxlb = new ReadXMLListBox();
            rxlb.Show(this);
        }

        private void مقالاتفارسیدربارهXMLToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://barnamenevis.org/showthread.php?149988");
        }

        private void merge2XMLFilesToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MergeXML mx = new MergeXML();
            mx.Show(this);
        }

        private void usingCToTransformAnXmlFileUsingXslTransformToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            TransformXML tx = new TransformXML();
            tx.Show(this);
        }

        private void buildingAnXSLTransformToolToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://blogs.msdn.com/b/coding4fun/archive/2006/10/31/913470.aspx");
        }

        private void migratingFromTheXslTransformClassToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://msdn.microsoft.com/en-us/library/66f54faw%28v=vs.80%29.aspx");
        }

        private void xslCompiledTransformXslSettingToolStripMenuItem_Click(object sender, EventArgs e)
        {
            TransformXML2 tx2 = new TransformXML2();
            tx2.Show(this);
        }

        private void xmlWriterToolStripMenuItem_Click(object sender, EventArgs e)
        {
            XMLWriterSample xws = new XMLWriterSample();
            xws.Show(this);
        }

        private void howToApplyAnXSLTransformationToAnXMLDocumentByUsingVisualCToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://support.microsoft.com/kb/307322");
        }

        private void ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://semantic.fastjoo.com/");
        }

        private void httpvtdxmlsourceforgenetToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://vtd-xml.sourceforge.net/");
        }

        private void helloWorldToolStripMenuItem_Click(object sender, EventArgs e)
        {
            VTDReadOnly vtdread = new VTDReadOnly();
            vtdread.Show(this);
        }

        private void generateWordDocumentsByApplingXSLTOnXMLDataToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://www.codeproject.com/KB/office/Generating_Word_Reports.aspx");
        }

        private void vTDXMLXMLProcessingForTheFuturePartIToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://www.codeproject.com/KB/cs/vtd-xml_examples.aspx");
        }

        private void xMLForBeginnersToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://www.codeproject.com/KB/XML/XML_for_beginners.aspx");
        }

        private void xmlSchemaCollectionToolStripMenuItem_Click(object sender, EventArgs e)
        {
            XmlSchemaCollectionSample xscs = new XmlSchemaCollectionSample();
            xscs.Show(this);
        }

        private void xmlValidatingReaderToolStripMenuItem_Click(object sender, EventArgs e)
        {
            XmlValidatingReaderSample xsvs = new XmlValidatingReaderSample();
            xsvs.Show(this);
        }

        private void rSSReaderToolStripMenuItem_Click(object sender, EventArgs e)
        {
            RSSReader rr = new RSSReader();
            rr.Show(this);
        }

        private void xMLTutorialToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://www.w3schools.com/xml/default.asp");
        }

        private void آموزشXPathToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://semantic.fastjoo.com/");
        }

        private void آموزشجامعXMLToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://www.ostadonline.com/COURSeS.asp?a=46");
        }

        private void toolStripMenuItem2_Click(object sender, EventArgs e)
        {
            XmlReaderSettingsSample xrss = new XmlReaderSettingsSample();
            xrss.Show(this);
        }

        private void xmlSchemaToolStripMenuItem_Click(object sender, EventArgs e)
        {
            XmlSchemaSample xss = new XmlSchemaSample();
            xss.Show(this);
        }

        private void validatingXMLDocumentsAgainstSchemasToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://www.csharpfriends.com/Articles/getArticle.aspx?articleID=102");
        }

        private void roadmapForXMLSchemasInTheNETFrameworkToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://support.microsoft.com/kb/313826");
        }

        private void xmlSerializerClassToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://msdn.microsoft.com/en-us/library/system.xml.serialization.xmlserializer.aspx");
        }

        private void xMLInTheNETFrameworkToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://authors.aspalliance.com/QuickStart/howto/default.aspx?url=/quickstart/howto/doc/Xml/XmlSchemaObjectModel.aspx");
        }

        private void toolStripMenuItem3_Click(object sender, EventArgs e)
        {
            XPathSample xps = new XPathSample();
            xps.Show(this);
        }

        private void howToNavigateXMLWithTheXPathNavigatorClassByUsingVisualCToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://support.microsoft.com/kb/308343");
        }

        private void usingXPathNavigatorInCToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://www.codeproject.com/KB/XML/usingXPathNavigator.aspx");
        }

        private void sQLToXMLToolStripMenuItem_Click(object sender, EventArgs e)
        {
            ExportSQL2XML sql2xml = new ExportSQL2XML();
            sql2xml.Show(this);
        }

        private void hOWTOImplementCommonMSXMLTasksInSystemxmlByUsingVisualCNETToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start(@"http://support.microsoft.com/kb/330589");
        }

        private void helpToolStripMenuItem_Click(object sender, EventArgs e)
        {
            HelpPage hp = new HelpPage();
            hp.ShowDialog();
        }

    }
}
