﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Xml.XPath;

namespace XML
{
    public partial class XPathSample : Form
    {
        public XPathSample()
        {
            InitializeComponent();
        }

        private void BtnLoad_Click(object sender, EventArgs e)
        {
            XPathDocument docNav = new XPathDocument(Application.StartupPath + "\\XMLWriter.xml");
            XPathNavigator nav = docNav.CreateNavigator();
            nav.MoveToRoot();

            //Move to the first child node (comment field).
            nav.MoveToFirstChild();

            do
            {
                //Find the first element.
                if (nav.NodeType == XPathNodeType.Element)
                {
                    //Determine whether children exist.
                    if (nav.HasChildren == true)
                    {

                        //Move to the first child.
                        nav.MoveToFirstChild();

                        //Loop through all of the children.
                        do
                        {
                            //Display the data.
                            MessageBox.Show("The XML string for this child ");
                            MessageBox.Show("is '" + nav.Value + "'");

                            //Check for attributes.
                            if (nav.HasAttributes == true)
                            {
                                MessageBox.Show("This node has attributes");
                            }
                        } while (nav.MoveToNext());
                    }
                }
            } while (nav.MoveToNext());
        }
    }
}
